package com.trade.client.trade.purchasecontract.dto;

import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.trade.common.core.page.PageDomain;

/**
 * 采购合同查询条件
 */
public class PurchaseContractSearchDto extends PageDomain {

    /**
     * 合同编号或者合同名称
     */
    private String contractInfo;
    /**
     * 合同状态,枚举：purchase_contract_status
     */
    private String contractStatus;
    /**
     * 销售合同编号
     */
    private String salesContractNo;
    /**
     * 供应商编码
     */
    private String vendorEntityNo;
    /**
     * 代理公司统一社会信用代码/注册号
     */
    private String agencyCertNo;
    /**
     * 开始时间 (C端创建时间)
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date gmtCreateStart;
    /**
     * 结束时间 (C端创建时间)
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date gmtCreateEnd;

    public String getContractInfo() {
        return contractInfo;
    }

    public void setContractInfo(String contractInfo) {
        this.contractInfo = contractInfo;
    }

    public String getContractStatus() {
        return contractStatus;
    }

    public void setContractStatus(String contractStatus) {
        this.contractStatus = contractStatus;
    }

    public String getSalesContractNo() {
        return salesContractNo;
    }

    public void setSalesContractNo(String salesContractNo) {
        this.salesContractNo = salesContractNo;
    }

    public String getVendorEntityNo() {
        return vendorEntityNo;
    }

    public void setVendorEntityNo(String vendorEntityNo) {
        this.vendorEntityNo = vendorEntityNo;
    }

    public String getAgencyCertNo() {
        return agencyCertNo;
    }

    public void setAgencyCertNo(String agencyCertNo) {
        this.agencyCertNo = agencyCertNo;
    }

    public Date getGmtCreateStart() {
        return gmtCreateStart;
    }

    public void setGmtCreateStart(Date gmtCreateStart) {
        this.gmtCreateStart = gmtCreateStart;
    }

    public Date getGmtCreateEnd() {
        return gmtCreateEnd;
    }

    public void setGmtCreateEnd(Date gmtCreateEnd) {
        this.gmtCreateEnd = gmtCreateEnd;
    }
}
